Bug 68710 - Anaconda fails to load native X Windows server on Dell 8200 laptop NVidia Geforce 440 Go 64MB
Anaconda fails to load native X Windows server on Dell 8200 laptop NVidia Gef...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: hwdata (Show other bugs)
8.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Aaron Brown
:
Depends On:
Blocks: 67218 79579
  Show dependency treegraph
 
Reported: 2002-07-12 14:33 EDT by Jeff McClure
Modified: 2014-03-16 22:28 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-12-13 14:12:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeff McClure 2002-07-12 14:33:07 EDT
Description of Problem:

During installation when the installer attempts to enter X windows it
incorrectly identifies the video card as a geforce2 mx, reports that it cannot
probe screen, then reports "attempting to load native x server".  At this point
the screen is filled with colored squares, and the whole process hangs.


Version-Release number of selected component (if applicable):


How Reproducible:


Steps to Reproduce:
1. boot off 1st limbo disc, attempt install via standard graphical anacoda mode.
2. 
3. 

Actual Results:


Expected Results:


Additional Information:
Comment 1 Bill Nottingham 2002-07-12 22:06:16 EDT
The 'nv' driver doesn't support the GeForce 2Go, unfortunately. We should
probably change the mapping.
Comment 2 Bill Nottingham 2002-07-22 23:57:32 EDT
Oops, appears they reused the PCI id.

Can you post the lspci -vn output for the system?
Comment 3 Bill Nottingham 2002-08-14 00:12:53 EDT
We use vesa for various nvidia things now.
Comment 4 Jeff McClure 2002-08-27 14:51:40 EDT
I'm still getting this problem in the "null" beta release.  Can this bug be
re-opened, and I'll post more info.

jmcclure888@yahoo.com
Comment 5 Jeff McClure 2002-08-27 14:55:07 EDT
Here's the output of "lspci -vn" under RedHat 7.3.  Let me know if you want me
to run the output from the "null" beta release.

00:00.0 Class 0600: 8086:1a30 (rev 04)
	Flags: bus master, fast devsel, latency 0
	Memory at e8000000 (32-bit, prefetchable) [size=64M]
	Capabilities: [e4] #09 [d104]
	Capabilities: [a0] AGP version 2.0

00:01.0 Class 0604: 8086:1a31 (rev 04)
	Flags: bus master, 66Mhz, fast devsel, latency 32
	Bus: primary=00, secondary=01, subordinate=01, sec-latency=32
	I/O behind bridge: 0000c000-0000cfff
	Memory behind bridge: fc000000-fdffffff
	Prefetchable memory behind bridge: d8000000-e7ffffff

00:1d.0 Class 0c03: 8086:2482 (rev 02)
	Subsystem: 8086:4541
	Flags: bus master, medium devsel, latency 0, IRQ 11
	I/O ports at bf80 [size=32]

00:1d.2 Class 0c03: 8086:2487 (rev 02)
	Subsystem: 8086:4541
	Flags: bus master, medium devsel, latency 0, IRQ 11
	I/O ports at bf20 [size=32]

00:1e.0 Class 0604: 8086:2448 (rev 42)
	Flags: bus master, fast devsel, latency 0
	Bus: primary=00, secondary=02, subordinate=10, sec-latency=32
	I/O behind bridge: 0000e000-0000ffff
	Memory behind bridge: f4000000-fbffffff

00:1f.0 Class 0601: 8086:248c (rev 02)
	Flags: bus master, medium devsel, latency 0

00:1f.1 Class 0101: 8086:248a (rev 02) (prog-if 8a [Master SecP PriP])
	Subsystem: 8086:4541
	Flags: bus master, medium devsel, latency 0, IRQ 11
	I/O ports at 01f0 [size=8]
	I/O ports at 03f4
	I/O ports at 0170 [size=8]
	I/O ports at 0374
	I/O ports at bfa0 [size=16]
	Memory at 20000000 (32-bit, non-prefetchable) [size=1K]

00:1f.5 Class 0401: 8086:2485 (rev 02)
	Subsystem: 1013:5959
	Flags: bus master, medium devsel, latency 0, IRQ 11
	I/O ports at d800 [size=256]
	I/O ports at dc80 [size=64]

00:1f.6 Class 0703: 8086:2486 (rev 02)
	Subsystem: 14f1:5421
	Flags: bus master, medium devsel, latency 0, IRQ 11
	I/O ports at d400 [size=256]
	I/O ports at dc00 [size=128]

01:00.0 Class 0300: 10de:0174 (rev a3)
	Subsystem: 1028:00d4
	Flags: bus master, VGA palette snoop, 66Mhz, medium devsel, latency 248, IRQ 11
	Memory at fc000000 (32-bit, non-prefetchable) [size=16M]
	Memory at e0000000 (32-bit, prefetchable) [size=128M]
	Memory at dff80000 (32-bit, prefetchable) [size=512K]
	Expansion ROM at 80000000 [disabled] [size=128K]
	Capabilities: [60] Power Management version 2
	Capabilities: [44] AGP version 2.0

02:00.0 Class 0200: 10b7:9200 (rev 78)
	Subsystem: 1028:00d4
	Flags: bus master, medium devsel, latency 32, IRQ 11
	I/O ports at ec80 [size=128]
	Memory at f8fffc00 (32-bit, non-prefetchable) [size=128]
	Expansion ROM at f9000000 [disabled] [size=128K]
	Capabilities: [dc] Power Management version 2

02:01.0 Class 0607: 104c:ac42
	Subsystem: 1028:00d4
	Flags: bus master, medium devsel, latency 168, IRQ 11
	Memory at f4000000 (32-bit, non-prefetchable) [size=4K]
	Bus: primary=02, secondary=03, subordinate=06, sec-latency=176
	Memory window 0: f4400000-f47ff000 (prefetchable)
	Memory window 1: f4800000-f4bff000
	I/O window 0: 0000e000-0000e0ff
	I/O window 1: 0000e400-0000e4ff
	16-bit legacy interface ports at 0001

02:01.1 Class 0607: 104c:ac42
	Subsystem: 1028:00d4
	Flags: bus master, medium devsel, latency 168, IRQ 11
	Memory at f4001000 (32-bit, non-prefetchable) [size=4K]
	Bus: primary=02, secondary=07, subordinate=0a, sec-latency=176
	Memory window 0: f4c00000-f4fff000 (prefetchable)
	Memory window 1: f5000000-f53ff000
	I/O window 0: 0000e800-0000e8ff
	I/O window 1: 0000f000-0000f0ff
	16-bit legacy interface ports at 0001

02:01.2 Class 0c00: 104c:8027 (prog-if 10)
	Subsystem: 1028:00d4
	Flags: bus master, medium devsel, latency 32, IRQ 11
	Memory at f8fff000 (32-bit, non-prefetchable) [size=2K]
	Memory at f8ff8000 (32-bit, non-prefetchable) [size=16K]
	Capabilities: [44] Power Management version 2

02:03.0 Class 0607: 104c:ac50 (rev 01)
	Subsystem: 12a3:ab01
	Flags: bus master, medium devsel, latency 168, IRQ 11
	Memory at f4002000 (32-bit, non-prefetchable) [size=4K]
	Bus: primary=02, secondary=0b, subordinate=0e, sec-latency=176
	Memory window 0: f5400000-f57ff000 (prefetchable)
	Memory window 1: f5800000-f5bff000
	I/O window 0: 0000f400-0000f4ff
	I/O window 1: 0000f800-0000f8ff
	16-bit legacy interface ports at 0001

Comment 6 Jeff McClure 2002-09-22 12:10:29 EDT
An update on this bug?
Comment 7 Jeff McClure 2002-12-13 14:12:38 EST
It works fine on my Inspiron 8200 in the offical 8.0 release.  Good work Red Hat!

Note You need to log in before you can comment on or make changes to this bug.